Subject: Re: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Juri Linkov <[email-masked]>
Date: Fri, 28 Jun 2019 22:16:06 +0300

>>>> -    (define-key map "d" 'vc-dir)
>>>> +    (define-key map "d" 'vc-root-dir)
>>>
>>> But this would probably be very controversial.  `C-x v /' is a nice
>>> binding, though...
>>
>> I'd prefer an option whose customization would allow `C-x v d'
>> to always use the root.
>
> I this whether you want one or the other depends in the situation, so I
> think `C-x v /' makes sense.  It's as easy to type as `C-x v d' (at
> least on US keyboards)...

The difference in number of typed keys between the existing key sequence
and the proposed new one is just one key:

C-x v d RET   (4 keys for existing)
C-x v /       (3 keys for new)

But I don't oppose to the new keybinding if you get more support for it.

BTW, it also makes sense to use C-x D to open dired in the root directory
(added to ~/.emacs)